# Transaction | CICADA
Documentation for CICADA

exports

### Hierarchy

- Transaction

## Index

### Properties

- from
- recipient
- sender
- to
- token
- tx
- type
- value

## Properties

### from

from: string

- Defined in src/app/_models/transaction.ts:25

Address of the transaction sender.

### recipient

recipient: AccountDetails

- Defined in src/app/_models/transaction.ts:27

Account information of the transaction recipient.

### sender

sender: AccountDetails

- Defined in src/app/_models/transaction.ts:29

Account information of the transaction sender.

### to

to: string

- Defined in src/app/_models/transaction.ts:31

Address of the transaction recipient.

### token

token: TxToken

- Defined in src/app/_models/transaction.ts:33

Transaction token information.

### tx

tx: Tx

- Defined in src/app/_models/transaction.ts:35

Transaction mining information.

### Optional type

type: string

- Defined in src/app/_models/transaction.ts:37

Type of transaction.

### value

value: number

- Defined in src/app/_models/transaction.ts:39

Amount of tokens transacted.

Generated using TypeDoc